Bug 124215 - Cannot install packages from CD3 when multiple CD are involved
Cannot install packages from CD3 when multiple CD are involved
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-packages (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 15:17 EDT by Ricky Ng-Adam
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2004-05-24 15:17:50 EDT
Description of problem:

Example:

"CD1, CD2 went ok but when it got to nmap on CD3, the install program
was now telling me that it was "Unable to access disk".  A trip to the
console showed that the CD-ROM was indeed there and that the nmap rpm
was there too.  

After a few tries, including putting it in my second CD-ROM (alas, the
install program doesn't look there), I aborted.  On reinstalling
specifically nmap, I was able to get it thru. I don't really
understand why it didn't work in the first run at it..."

This has happened twice already.

Version-Release number of selected component (if applicable):


How reproducible:

Sometimes?

Steps to Reproduce:
1. Select a bunch of packages to install
2. Insert CD1, CD2 when requested
3. Insert CD3 when requested
  
Actual results:

"Unable to access disk" shows up.

Expected results:

File is installed correctly.

Additional info:

dmesg:

ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
cdrom: This disc doesn't have any tracks I recognize!
udf: registering filesystem
UDF-fs DEBUG fs/udf/lowlevel.c:57:udf_get_last_session: XA disk: no,
vol_desc_start=0
UDF-fs DEBUG fs/udf/super.c:1552:udf_fill_super: Multi-session=0
UDF-fs DEBUG fs/udf/super.c:540:udf_vrs: Starting at sector 16 (2048
byte sectors)
UDF-fs DEBUG fs/udf/super.c:567:udf_vrs: ISO9660 Primary Volume
Descriptor foundUDF-fs DEBUG fs/udf/super.c:570:udf_vrs: ISO9660
Supplementary Volume Descriptor found
UDF-fs DEBUG fs/udf/super.c:576:udf_vrs: ISO9660 Volume Descriptor Set
Terminator found
UDF-fs: No VRS found
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
cdrom: open failed.
cdrom: open failed.
cdrom: open failed.
cdrom: open failed.
cdrom: open failed.
cdrom: open failed.
Comment 1 Colin Charles 2004-06-09 10:32:37 EDT
I decided to poke at this - when I tried to install the Kernel
development tools (all 5/5 packages), you're asked for CD 2 and CD 3.
Pop CD2 in, its fine, and installs qt-devel for me; pop CD 3 in, and
it just provides the unable to access disk dialog. 

Keeping in mind the CD has automounted just fine, and browsing it via
Nautilus just works
Comment 2 Ruediger Fender 2005-01-23 08:06:24 EST
Seem that changing CDs doesn't work:

I called system-config-packages by executing autorun on first FC3 CD.
Installing packages from this first CD works fine. When another CD is
required (and placed in the same drive), always "Unable to access
disk" shows up.

I reproduced this on three rather different machines.
Comment 3 Matthew Miller 2005-04-26 11:49:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Jeremy Katz 2005-09-21 15:11:37 EDT
Closing as resolved in later releases

Note You need to log in before you can comment on or make changes to this bug.